import 'package:hub/features/storage/index.dart';

abstract class LocalsLocalDataSource {
  Future<void> unlinkLocal();
}

class LocalsLocalDataSourceImpl {
  Future<void> unlinkLocal() async {
    await StorageHelper().set(ProfileStorageKey.clientUUID.key, '');
    await StorageHelper().set(ProfileStorageKey.clientName.key, '');
    await StorageHelper().set(ProfileStorageKey.ownerName.key, '');
  }
}
