import 'package:hub/features/profile/index.dart';
import 'package:hub/features/storage/index.dart';

class DatabaseStorage implements BaseStorage {
  DatabaseStorage._();
  static final DatabaseStorage instance = DatabaseStorage._();

  // static final DatabaseStorage instance = DatabaseStorage._();

  // late final Database _database;
  // bool _isInitialized = false;

  static BaseStorage getInstanceByKey(String key) {
    if (ProfileStorageKey.values.contains(key))
      return ProfileLocalDataSourceImpl.instance(key);
    else //if (LocalsStorageKey.values.contains(key));
      return LocalsStorageKey.instance(key);
  }

  @override
  Future<void> clearAll() => throw UnimplementedError();
  @override
  Future<void> delete(String key) => throw UnimplementedError();
  @override
  Future<String?> get(String key) => throw UnimplementedError();
  @override
  Future<void> init() => throw UnimplementedError();
  @override
  Future<void> set<T>(String key, T value) => throw UnimplementedError();
}
